Name:		mbassador
Version:	1.2.4.1
Release:	2%{?dist}
Summary:	An event bus aiming at ease of use and performance

License:	MIT
URL:		https://github.com/bennidi/mbassador.git
Source0:	https://github.com/bennidi/%{name}/archive/%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	maven-local
BuildRequires:	mvn(org.apache.maven.plugins:maven-pmd-plugin)
BuildRequires:	mvn(org.assertj:assertj-core)
BuildRequires:	mvn(org.mockito:mockito-core)
BuildRequires:	mvn(org.slf4j:slf4j-log4j12)
BuildRequires:	mvn(de.odysseus.juel:juel-impl)
BuildRequires:	mvn(de.odysseus.juel:juel-spi)

%description
MBassador is a light-weight, high-performance message (event) bus
implementation based on the publish subscribe pattern. It is designed
for ease of use and aims to be feature rich and extensible while 
preserving resource efficiency and performance.

The core of MBassador's high performance is a specialized data
structure that minimizes lock contention such that performance
degradation of concurrent read/write access is minimal. The 
advantages of this design are illustrated in the eventbus
performance github repository.

%package javadoc
Summary:	API Documentation for %{name}
Requires:	%{name} = %{version}-%{release}

%description javadoc
JavaDoc documentation for %{name}

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
%mvn_build

%install
%mvn_install

%files
%license LICENSE
%{_javadir}/%{name}
%{_usr}/share/maven-metadata/%{name}.xml
%dir %{_mavenpomdir}/%{name}
%{_mavenpomdir}/%{name}/%{name}.pom

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Tue Apr  5 2016 Honggang Li <honli@redhat.com> - 1.2.4.1-2
- Remove unnecessary Group tag.
- Own all drectories and files created by it.
- Package LICENSE file.

* Sun Mar 27 2016 Honggang Li <honli@redhat.com> - 1.2.4.1-1
- Update to upstream version 1.2.4.1

* Sun Mar 20 2016 Honggang Li <honli@redhat.com> - 1.2.4-1
- Import mbassador to support OPA package building for Fedora
